import React from 'react'
import { View } from 'react-native'
import { storiesOf } from '@storybook/react-native'
import CheckBox from './CheckBox'

storiesOf('CheckBox', module)
  .add('All', () => <CheckBoxExample />)
  .add('checked', () => <CheckBox checked />)
  .add('Un-checked', () => <CheckBox checked={false} />)
  .add('Disabled', () => <CheckBox disabled />)

class CheckBoxExample extends React.Component {
  state = {
    checked1: false,
    checked2: true,
  }

  handleToggle1 = () => {
    const checkedVal = this.state.checked1
    this.setState({
      checked1: !checkedVal,
    })
  }

  handleToggle2 = () => {
    const checkedVal = this.state.checked2
    this.setState({
      checked2: !checkedVal,
    })
  }

  render() {
    // Just for adding margins in Storybook
    const viewStyles = {
      marginTop: 10,
      marginBottom: 10,
      marginLeft: 10,
    }

    return (
      <>
        <View style={viewStyles}>
          <CheckBox handleToggle={this.handleToggle1} checked={this.state.checked1} />
        </View>
        <View style={viewStyles}>
          <CheckBox handleToggle={this.handleToggle2} checked={this.state.checked2} />
        </View>
        <View style={viewStyles}>
          <CheckBox disabled handleToggle={this.handleToggle2} checked={this.state.checked2} />
        </View>
        <View style={viewStyles}>
          <CheckBox />
        </View>
      </>
    )
  }
}
