import React from 'react'
import { Text, View } from 'react-native'
import { storiesOf } from '@storybook/react-native'
import FormBuilder from './FormBuilder'
// import Input from '../Input'
import TextField from './TextField'
import Button from './Button'

// import { LIGHT_GRAY } from '../../styles/theme'

const t = true.toString()

storiesOf('FormBuilder', module)
  .add('Full example', () => (
    <FormBuilder
      onSubmit={console.log}
      Name={{
        component: TextField,
        options: {
          placeholder: 'This is a demo only, these will look like fields one day.',
          input: { style: { backgroundColor: 'red' } },
        },
      }}
      Password={TextField}
      Button={{
        component: Button,
        options: {
          secondary: t, // has to be.a string now?
          large: t,
          bold: t,
          render: () => (
            <View>
              <Text>LOG IN</Text>
            </View>
          ),
        },
      }}
      styles={{
        fieldContainer: `
        background-color: tranparent;
        border-bottom-style: solid;
        border-bottom-color: #8a93a7;
        border-bottom-width: 3;
        max-width: 240;
      `,
        innerContainer: `
        height: 300;
        background-color: #f5f6fa;
        padding-top: 30;
        padding-right: 30;
        padding-bottom: 30;
        padding-left: 30;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: space-around;
      `,
      }}
    />
  ))
  .add('With validation', () => (
    <FormBuilder
      onSubmit={console.log}
      validator={values => ({ banned: `${values.email} is banned` })}
      Email={{
        render: TextField,
        options: {
          placeholder: 'This is a demo only, these will look like fields one day.',
          input: { style: { backgroundColor: 'red' } },
        },
      }}
      Password={TextField}
      Button={{
        component: Button,
        options: {
          secondary: true,
          large: true,
          bold: true,
          render: () => (
            <View>
              <Text>LOG IN</Text>
            </View>
          ),
        },
      }}
      styles={{
        outerContainer: `
          background-color: white;
          padding-top: 16;
          padding-right: 16;
          padding-bottom: 16;
          padding-left: 16;
        `,
        fieldContainer: `
          background-color: tranparent;
          border-bottom-style: solid;
          border-bottom-color: #8a93a7;
          border-bottom-width: 3;
          max-width: 240;
        `,
        innerContainer: `
          height: 300;
          background-color: #f5f6fa;
          padding-top: 30;
          padding-right: 30;
          padding-bottom: 30;
          padding-left: 30;
          flex-wrap: wrap;
          flex-direction: row;
          justify-content: space-around;
        `,
      }}
    />
  ))
