import React from 'react'
import { Text, View } from 'react-native'
import styled from 'styled-components/native'
import { storiesOf } from '@storybook/react-native'

import Icon, { allIcons, iconList } from './Icon'

const Container = styled.View`
  /*display: inline-flex;*/
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  height: 100%;
  flex-flow: row wrap;
`

const IconContainer = styled.View`
  justify-content: center;
  align-items: center;
  flex-direction: column;
`

const IconFIx = styled(Icon)`
  font-family: TiketIcons !important;
`

const stories = storiesOf('Icons', module).add(
  'All icons',
  () => (
    <Container>
      {iconList.map((name, index) => {
        const color = `rgb(255, 0, ${255 - index * 21.5})`
        const size = 30

        return (
          <IconContainer>
            <IconFIx key={name} name={name} size={size} color={color} />
            <Text>{name}</Text>
          </IconContainer>
        )
      })}
    </Container>
  ),
  {
    notes: 'Copyright Tiket Global All Rights Reserved',
  },
)

/* Adds some special icons */
const fullIconList = [...iconList, 'sortup', 'sortdown']

allIcons.map((SingleIcon, index) => {
  const name = fullIconList[index]

  return stories.add(name, () => (
    <IconContainer>
      <SingleIcon size={30} color={['sortup', 'sortdown'].includes(name) ? 'transparent' : undefined} />
    </IconContainer>
  ))
})

export default stories
