import React from 'react'
import { FlatList, View } from 'react-native'
import styled from 'styled-components/native'

const Item = styled.TouchableHighlight`
  padding-top: 4;
  padding-bottom: 4;
  margin-bottom: 5;
  align-items: center;
`

const ItemText = styled.Text`
  font-size: 18;
  color: ${props => (props.picked ? '#0064D2' : 'black')};
`

const Picker = ({ input: { onChange, value }, options }) => {
  const FlatListItemSeparator = () => {
    return (
      // Item Separator
      <View style={{ height: 0.5, width: '100%', backgroundColor: '#DEE2EE' }} />
    )
  }

  return (
    <View style={{ height: 130, width: 300, marginBottom: 20 }}>
      <FlatList
        data={options}
        ItemSeparatorComponent={FlatListItemSeparator}
        renderItem={({ item }) => (
          <Item onPress={() => onChange(item.value)}>
            {value === item.value ? <ItemText picked>{item.title}</ItemText> : <ItemText>{item.title}</ItemText>}
          </Item>
        )}
        keyExtractor={item => item.value}
      />
    </View>
  )
}

export default Picker
