// @flow
import React, { useState } from 'react'
import Styled from 'styled-components/native'

import Icon from './Icon'
import { WHITE, MEDIUM_GRAY } from '../styles/theme'

type Props = {
  onChangeText: string => void,
  minCharBeforeSearch?: number,
  debounceTime?: number,
}

const StyledInput = Styled.TextInput`
  height: 36px;
  padding: 10px;
  background-color: ${WHITE};
  flex: 1;
`

const InputContainer = Styled.View`
  width: 100%;
  background-color: ${WHITE};
  border-radius: 10px;
  flex-direction: row;
  align-items: center;
  padding: 5px 5px 5px 11px;

`

const SearchInput = ({ input, input: { onChange, value }, minCharBeforeSearch = 1, debounceTime = 500 }: Props) => {
  //const doSearch = debounce(onChangeText, debounceTime)
  return (
    <InputContainer>
      <Icon name="search" size={18} color={MEDIUM_GRAY} />
      <StyledInput maxLength={50} placeholder="Search here..." onChangeText={onChange} value={value} />
    </InputContainer>
  )
}

export default SearchInput
