import React from 'react'
import renderer from 'react-test-renderer'
import Enzyme, { shallow } from 'enzyme'
import getStyle from '../helpers/get-style'
import Switch from './Switch'
import { BLUE, GRAY } from '../styles/theme'

describe('<Switch />', () => {
  it('should render with the default background', async () => {
    const wrapper = renderer.create(<Switch />)
    const style = await getStyle(wrapper.toJSON())

    expect(style.colors.backgroundColor).toBe(GRAY)
  })
  it('should render with the default text', () => {
    const wrapper = renderer.create(<Switch />)

    expect(wrapper.toJSON().children[1].children[0]).toBe('Off')
  })
})
