import React from 'react'
import { Form, Field } from 'react-final-form'
import { storiesOf } from '@storybook/react-native'
import Input from './TextField'
import Button from './Button'

storiesOf('Text input fields', module)
  //  Primary Button
  .add('Text type', () => (
    <Form onSubmit={console.log} initialValues={{ myInputName: 'Hello' }}>
      {({ handleSubmit }) => <Field type="text" label="Username" name="myInputName" render={Input} />}
    </Form>
  ))
  .add('Phone type', () => (
    <Form onSubmit={console.log} initialValues={{ myInputName: 'Hello' }}>
      {({ handleSubmit }) => (
        <>
          <Field
            validate={() => 'This is a fake error'}
            label="Phone number"
            type="phone"
            name="myInputName"
            render={Input}
          />
          <Button primary type="submit" onPress={handleSubmit}>
            Submit
          </Button>
        </>
      )}
    </Form>
  ))
  .add('Date type', () => (
    <Form onSubmit={console.log} initialValues={{ myInputName: 'Hello' }}>
      {({ handleSubmit }) => (
        <>
          <Field validate={() => 'This is a fake error'} label="Date" type="date" name="myInputName" render={Input} />
          <Button primary type="submit" onPress={handleSubmit}>
            Submit
          </Button>
        </>
      )}
    </Form>
  ))
  .add('Password type', () => (
    <Form onSubmit={console.log} initialValues={{ myInputName: 'Hello' }}>
      {({ handleSubmit }) => (
        <>
          <Field
            validate={() => 'This is a fake error'}
            label="Password"
            type="password"
            name="myInputName"
            render={Input}
          />
          <Button primary type="submit" onPress={handleSubmit}>
            Submit
          </Button>
        </>
      )}
    </Form>
  ))
  .add('Email type', () => (
    <Form onSubmit={console.log}>
      {({ handleSubmit }) => (
        <>
          <Field
            validate={() => 'This is a fake error'}
            label="Email"
            type="email"
            name="myInputName"
            placeholder="Email"
            render={Input}
          />
          <Button primary type="submit" onPress={handleSubmit}>
            Submit
          </Button>
        </>
      )}
    </Form>
  ))
// .add('Date type', () => (
//   <Form onSubmit={() => {}} initialValues={{ myInputName: 'Hello' }}>
//     {({ handleSubmit }) => (
//       <Field type="date" name="myInputName">
//         {props => (
//           <Container {...props} placeholder="Hello world">
//             {Input}
//           </Container>
//         )}
//       </Field>
//     )}
//   </Form>
// ))
// .add('Password type', () => (
//   <Form onSubmit={() => {}} initialValues={{ myInputName: 'Hello' }}>
//     {({ handleSubmit }) => (
//       <Field type="password" name="myInputName">
//         {props => (
//           <Container {...props} placeholder="Hello world">
//             {Input}
//           </Container>
//         )}
//       </Field>
//     )}
//   </Form>
// ))
