/*
 This file should be where all CSS translateable styling goes. ex. padding / margins / colors. Think of this as a theme file. This will let designers theme this application (or for example provide a dark theme)
 Changing the values here will change EVERYTHING include styling inside _core components
 */

import { rgba } from 'polished'

export const margins = {
  default: 15,
  min: 5,
}

// PRIMARY
export const BLUE = '#0064D2'
export const YELLOW = '#FEDD00'
export const RED = '#D0011B'

// PALETTE
export const BLACK = '#000000'
export const DARKEST_GRAY = '#35405A'
export const DARK_GRAY = '#58627A'
export const MEDIUM_GRAY = '#8A93A7'
export const GRAY = '#C6CBDA'
export const LIGHT_GRAY = '#DEE2EE'
export const LIGHTEST_GRAY = '#F5F6FA'
export const BROKEN_WHITE = '#F7F7F7'
export const PALE_WHITE = '#FBFCFE'
export const WHITE = '#FFFFFF'
export const BLUEISH_GRAY = '#F2F8FF'
export const RED_SALMON = '#F15C59'
export const GREEN_EMERALD = '#00A474'
export const BLUE_CLOUDY = '#A9C8E8'
export const TURQOISE = '#4FE3C1'
export const ORANGE = '#FF7200'

// PRODUCT SPECIFIC PALETTE
export const FLIGHT = '#009AFF'
export const HOTEL = '#FB387E'
export const TRAIN = '#FF7200'
export const CAR = '#14AC33'
export const EVENT = '#6F59FF'
export const ATTRACTION = '#35CCAA'

// LABEL PALETTE
export const PALE_RED = '#FDEEEE'
export const PALE_BLUE = '#E5F4FF'
export const PALE_PINK = '#FEEBF2'
export const PALE_ORANGE = '#FFF0E5'
export const PALE_GREEN = '#E5F5F1'
export const PALE_PURPLE = '#F0EEFF'
export const PALE_GRAY = '#EAEBEE'

// TRANSPARENT
export const TRANSPARENT = rgba(255, 255, 255, 0)

// FONT SIZE
export const FONT_SIZE_TITLE = 21
export const FONT_SIZE_LARGE = 18
export const FONT_SIZE_MEDIUM = 13
export const FONT_SIZE_SUBTITLE = 12
export const FONT_SIZE_SMALL = 11

// FONT WEIGHT
export const FONT_NORMAL = 400
export const FONT_BOLD = 600
